<?xml version='1.0' encoding='ISO-8859-1' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="barreNavigation.xsl" /> 
<xsl:import href="errorBar.xsl" /> 
<xsl:import href="infoBar.xsl" /> 
<xsl:import href="content.xsl" /> 
<xsl:import href="barreAction.xsl" /> 

<xsl:output method="html" encoding="ISO-8859-1"/>


<xsl:param name="baseActionURL"/>

<xsl:template match="/">



<form name="formulaireWebDav" action="{$baseActionURL}" method="post">

<input type="hidden" name="modeDav"/>

<table border="1" cellspacing="0" cellpadding="0" width="100%" align="center">
	
	<!--****************-->
	<!-- Navigation bar -->
	<!--****************-->		
	<tr>
		<td>
		<xsl:call-template name="barreNavigation" />
		</td>
	</tr>
	
	
	
	<!--************-->
	<!-- Action bar -->
	<!--************-->	
	<xsl:if test="/ROOT/ACTIONS/ACTION/@label!=''">
		<tr>
			<td>
				<xsl:call-template name="barreAction"/>
			</td>
		</tr>
	</xsl:if>
	
	<!--***********-->
	<!-- Error bar -->
	<!--***********-->		
	<xsl:if test="/ROOT/ERRORS/ERROR/@channelCode!=''">
     <tr> 
          <td align="center" valign="center"> 
	          <img src="media/org/esupportail/portal/channels/CWebdav/error 24px.gif" border="0"/>
              <xsl:call-template name="errorBar"/> 
          </td> 
     </tr> 
     </xsl:if>
	
	
	<!--**********-->
	<!-- Info bar -->
	<!--**********-->		
	<xsl:if test="/ROOT/INFORMATION!=''">           
     <tr> 
          <td align="center"> 
               <xsl:call-template name="infoBar"/> 
          </td> 
     </tr> 
     </xsl:if>

	
	
	
	<!--***********************-->
	<!-- Content of the server -->
	<!--***********************-->
	<tr>
		<td height="100px" valign="top">
			<xsl:call-template name="content"/>&#160;
		</td>
	</tr>
	
	

	<!--************-->
	<!-- Action bar -->
	<!--************-->		
	<xsl:if test="/ROOT/ACTIONS/ACTION/@label!=''">
		<tr>
			<td>
				<xsl:call-template name="barreAction"/>
			</td>
		</tr>
	</xsl:if>
	
	
	<!--****************-->
	<!-- Navigation bar -->
	<!--****************-->		
	<tr>
		<td>
		<xsl:call-template name="barreNavigation" />
		</td>
	</tr>
</table>
</form>

</xsl:template>
</xsl:stylesheet>